name='coolercontrol-bin'
_pkgname=${name%-bin}
_app_id="org.$_pkgname.CoolerControl"
version='2.1.0'
release='2'
desc='A program to monitor and control your cooling devices (binary release)'
desk_ru='Программа для мониторинга и управления тепловыми устройствами (бинарная версия)'
homepage='https://gitlab.com/coolercontrol/coolercontrol'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-3.0-or-later')
provides=('coolercontrol')
conflicts=('coolercontrol')

deps=(
  'gtk3'
  'hicolor-icon-theme'
  'coolercontrold-bin'
  'qt6-qtwebengine'
)
deps_arch=(
  'gtk3'
  'hicolor-icon-theme'
  'coolercontrold-bin'
  'qt6-webengine'
)

build_deps=(
  'desktop-file-utils'
  'libappstream-glib'
)
build_deps_arch=(
  'appstream-glib'
  'desktop-file-utils'
)

sources=(
  "https://gitlab.com/coolercontrol/coolercontrol/-/releases/$version/downloads/packages/${_pkgname}_${version}"
  "https://gitlab.com/coolercontrol/coolercontrol/-/archive/$version/$_pkgname-$version.tar.gz"
)
checksums=(
  '0583e979e00a3cf032d48baff0e6dcf4127768f64a8952ac88de5326c56d4ce4'
  'f0850097914fb8892ee49c03c5cea55e78c8f3e6aa99b417fc86f44250b6bdbd'
)

check() {
  cd "${srcdir}/$_pkgname-$version"
  desktop-file-validate "packaging/metadata/$_app_id.desktop"
  appstream-util validate-relax "packaging/metadata/$_app_id.metainfo.xml"
}

package() {
  cd ${srcdir}
  install-binary "${_pkgname}_$version" coolercontrol

  cd ${srcdir}/$_pkgname-$version

  install-desktop "packaging/metadata/$_app_id.desktop"
  install -Dm644 "packaging/metadata/$_app_id.metainfo.xml" -t "$pkgdir/usr/share/metainfo/"
  install -Dm644 "packaging/metadata/$_app_id.png" -t "$pkgdir/usr/share/pixmaps/"
  install -Dm644 "packaging/metadata/$_app_id.svg" -t "$pkgdir/usr/share/icons/hicolor/scalable/apps/"
  install -Dm644 "packaging/metadata/${_app_id}-symbolic.svg" -t "$pkgdir/usr/share/icons/hicolor/symbolic/apps/"

  install -Dm644 ./README.md -t "$pkgdir/usr/share/doc/$_pkgname"
  install-license ./LICENSE $_pkgname/LICENSE
}

files() {
  echo ./usr/bin/coolercontrol
  echo ./usr/share/applications/org.coolercontrol.CoolerControl.desktop
  echo ./usr/share/doc/coolercontrol/README.md
  echo ./usr/share/licenses/coolercontrol/LICENSE
  echo ./usr/share/metainfo/org.coolercontrol.CoolerControl.metainfo.xml
  echo ./usr/share/pixmaps/org.coolercontrol.CoolerControl.png
  printf '"%s" ' ./usr/share/icons/hicolor/**/apps/*
}

