name='fastfetch'
version='2.42.0'
release='1'
desc='Fastfetch is a neofetch-like tool for fetching system information and displaying them in a pretty way. It is written mainly in C, with performance and customizability in mind. Currently, Linux, Android, FreeBSD, MacOS and Windows 7+ are supported.'
homepage='https://github.com/fastfetch-cli/fastfetch'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')
provides=('fastfetch')
conflicts=('fastfetch' 'fastfetch-git')

build_deps=(
  'cmake'
  'gcc-c++'
)
opt_deps=(
  'chafa: Вывод изображений в виде ASCII-арта'
  'dbus: Обнаружение Bluetooth, игроков и медиа'
  'dconf: Необходимо для значений, которые хранятся только в DConf + резерв для GSettings'
  'ddcutil: Обнаружение яркости внешних дисплеев'
  'elfutils: Обнаружение шрифтов в терминале st и ускоренный путь обнаружения версий systemd'
  'glib2: Вывод для значений, которые хранятся только в GSettings'
  'hwdata: Вывод данных GPU'
  'ImageMagick: Вывод изображений с использованием протокола sixel или графического протокола kitty'
  'libdrm: Обнаружение дисплеев'
  'libXrandr: Поддержка нескольких мониторов'
  'ocl-icd: Модуль OpenCL'
  'python: Необходим для дополнений zsh и fish'
  'pulseaudio-libs: Обнаружение звука'
  'sqlite: Необходим для интеграции SQLite и подсчета пакетов Soar'
  'vulkan-devel: Обнаружение GPU в WSL'
  'vulkan-loader: Модуль Vulkan и резерв для вывода GPU'
  'xfconf: Необходимо для темы XFWM и шрифта терминала XFCE'
  'zlib: Быстрый вывод изображений при использовании графического протокола kitty'
)
opt_deps_arch=(
  'chafa: Вывод изображений в виде ASCII-арта'
  'dbus: Обнаружение Bluetooth, игроков и медиа'
  'dconf: Необходимо для значений, которые хранятся только в DConf + резерв для GSettings'
  'ddcutil: Обнаружение яркости внешних дисплеев'
  'directx-headers: Обнаружение GPU в WSL'
  'glib2: Вывод для значений, которые хранятся только в GSettings'
  'hwdata: Вывод данных GPU'
  'imagemagick: Вывод изображений с использованием протокола sixel или графического протокола kitty'
  'libdrm: Обнаружение дисплеев'
  'libelf: Обнаружение шрифтов в терминале st и ускоренный путь обнаружения версий systemd'
  'libpulse: Обнаружение звука'
  'libxrandr: Поддержка нескольких мониторов'
  'ocl-icd: Модуль OpenCL'
  'python: Необходим для дополнений zsh и fish'
  'sqlite: Необходим для интеграции SQLite и подсчета пакетов Soar'
  'vulkan-icd-loader: Модуль Vulkan и резерв для вывода GPU'
  'xfconf: Необходимо для темы XFWM и шрифта терминала XFCE'
  'zlib: Быстрый вывод изображений при использовании графического протокола kitty'
)

sources=("https://github.com/fastfetch-cli/fastfetch/archive/refs/tags/${version}.tar.gz")
checksums=('SKIP')

build() {
  cd $srcdir/$name-$version
  cmake -DCMAKE_BUILD_TYPE=Release
  cmake --build . --target fastfetch -j $(($(nproc) - 1))
}

package() {
  cd $srcdir/$name-$version
  install-binary ./fastfetch
  install-license ./LICENSE  fastfetch/LICENSE
  install-manual ./fastfetch.1
  ./ completion fish | install-completion fish fastfetch
  install-completion bash fastfetch < ./completions/fastfetch.bash
  install-completion zsh fastfetch < ./completions/fastfetch.zsh
}

files() {
  echo ./usr/bin/fastfetch
  printf '"%s" ' ./usr/share/**/*
}
