name='nlohmann-json'
version='3.12.0'
release='1'
desc='Header-only JSON library for Modern C++'
homepage='https://github.com/nlohmann/json'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='MIT'
provides=('nlohmann-json')
conflicts=('nlohmann-json')

build_deps_rosa=('cmake' 'git')
sources=("git+https://github.com/nlohmann/json.git#tag=v${version}")
checksums=('SKIP')

build() {
  cd "${srcdir}"
  mkdir build
  cd ./build
  cmake ../json -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_LIBDIR=lib -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=OFF
  make -j$(($(nproc) - 1))
}

check() {
  cd "${srcdir}/build"
  cmake ../json -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_LIBDIR=lib -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=ON
  make -j$(($(nproc) - 1))
  ctest --output-on-failure
}

package() {
  cd "${srcdir}/build"
  make "DESTDIR=${pkgdir}" install
}

files() {
  printf '"%s" ' ./usr/include/nlohmann/detail/**/*
  printf '"%s" ' ./usr/include/nlohmann/thirdparty/hedley/*
  printf '"%s" ' ./usr/share/cmake/nlohmann_json/*
  echo ./usr/share/pkgconfig/nlohmann_json.pc
}